Subject: bug#38887: closed (Re: sassc has a memory leak)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 19 Jan 2020 17:35:02 +0000

Your bug report

#38887: sassc has a memory leak

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38887: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38887
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: sassc has a memory leak
From: Tobias Geerinckx-Rice <[email-masked]>
To: [email-masked]
Date: Sun, 19 Jan 2020 18:34:17 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Jesse,

Thanks for the report!

Jesse Gibbons 写道：
> When I try to build arc-theme and leave it to run, the entire 
> system
> eventually freezes. When I monitor how much memory it takes, I 
> see that
> it spawns a sassc process that eventually takes all 30 GB of the 
> RAM
> not taken by GNOME and the other services. 
>
> When I sent the initial bug report, I found an upstream github 
> issue
> that this could be related to, but I lost it.

Probably this[0].

There's no fix yet.  I've pushed 
bed24ecfcd68ca6fbc21f02b477cffff3b4c0450 which reverts back to 
[email-masked] for arc-theme, and am closing this bug.

Please let me know if you still have trouble building it.

Kind regards,

T G-R

[0]: https://github.com/sass/libsass/issues/3033

Subject: sassc has a memory leak
From: Jesse Gibbons <[email-masked]>
To: bug-guix mailing list <[email-masked]>
Date: Thu, 02 Jan 2020 21:48:29 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>